Subject: Build fails after: Attempt to autoload cl-old-struct-compat-mode while preparing to dump

From: Tibor Harcsa <[email-masked]>
Date: Sat, 8 Apr 2017 22:23:26 +0200

Hi,

First time I send bug report here, so try to help me if I do anything wrong.

Background
This is may second time I decided to build emacs from source. first one was
successful

Details of the successful build:
GNU Emacs 26.0.50.1 (armv7l-unknown-linux-gnueabihf, X toolkit, Xaw3d
scroll bars)
 of 2017-01-22)

Details
Details of the current, unsuccessful build:

source:
git://git.savannah.gnu.org/emacs.git

ORIG_HEAD:
03de82fe7ca09ab40fbcae394d4fcdfe3374496e

config.log has been attached (bz2 file)

The error where the build fails:

Attempt to autoload cl-old-struct-compat-mode while preparing to dump
Makefile:543: recipe for target 'emacs' failed
make[1]: *** [emacs] Error 255
make[1]: Leaving directory '/home/pi/repos/emacs/src'
Makefile:416: recipe for target 'src' failed
make: *** [src] Error 2

I have attempted to build it several times. (It consistently fails at the
same place.)

Is there a manual workaround that can make the build go on?

Best regards,
Tiborr